- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_visualtype_t Struct Reference
[XCB API]

xcb_visualtype_t More...

`#include <xproto.h>`

## Data Fields
xcb_visualid_t | visual_id
uint8_t | _class
uint8_t | bits_per_rgb_value
uint16_t | colormap_entries
uint32_t | red_mask
uint32_t | green_mask
uint32_t | blue_mask
uint8_t | pad0 [4]

## Detailed Description

xcb_visualtype_t

## Field Documentation

xcb_visualid_t xcb_visualtype_t::visual_id

uint8_t xcb_visualtype_t::_class

uint8_t xcb_visualtype_t::bits_per_rgb_value

uint16_t xcb_visualtype_t::colormap_entries

uint32_t xcb_visualtype_t::red_mask

uint32_t xcb_visualtype_t::green_mask

uint32_t xcb_visualtype_t::blue_mask

uint8_t xcb_visualtype_t::pad0[4]

The documentation for this struct was generated from the following file:

- xproto.h